menu {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 999;
    background: rgba(255, 255, 255, 0.2);
    box-shadow: 0 3px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
}

#menuMobile {
    display: block;
    position: absolute;
    top: 22px;
    right: 30px;
    z-index: 1001;
    -webkit-user-select: none;
    user-select: none;
}

#menuMobile a {
    text-decoration: none;
    color: #232323;
    transition: color 0.3s ease;
}

#menuMobile a:hover {
    color: #d64420;
}

#menuMobile input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0;
    z-index: 1002;
    -webkit-touch-callout: none;
}

#menuMobile span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background: #d64420;
    border-radius: 3px;
    z-index: 1001;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                opacity 0.55s ease;
}

#menuMobile span:first-child {
    transform-origin: 0% 0%;
}

#menuMobile span:nth-last-child(2) {
    transform-origin: 0% 100%;
}

#menuMobile input:checked ~ span {
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: #232323;
}

#menuMobile input:checked ~ span:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}

#menuMobile input:checked ~ span:nth-last-child(2) {
    opacity: 1;
    transform: rotate(-45deg) translate(0, -1px);
}

#menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 80px 50px 40px 50px;
    box-sizing: border-box;
    background: #ededed;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;
    transform: translate(100%, 0);
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
    z-index: 1000;
}

#menu li {
    padding: 10px 0;
    font-size: 22px;
}

#menu li svg {
    padding: 0 0 4px 0;
    font-size: 22px;
}

#menu li label {
    cursor: pointer;
}

#menuMobile input:checked ~ ul {
    transform: none;
    opacity: 1;
}

#menuLogo {
    display: flex;
    justify-content: space-between;
}

#menuLogo li {
    display: inline-block;
    font-family: "Raleway-Bold";
    padding: 13px 11px;
    margin: 10px;
    border-radius: 10px;
    transition: 0.5s;
}

#menuLogo li.actif {
    background-color: #d9d9d9;
}

#menuLogo li:hover {
    background-color: #d9d9d9;
}

#menuLogo .nous-rejoindre {
    color: #d64420;
    border: 2px solid #d64420;
    padding: 11px 9px;
}

#menuLogo .nous-rejoindre.actif {
    background-color: #d64420;
}

#menuLogo .nous-rejoindre.actif a {
    color: #ffffff;
}

#menuLogo .icon-header {
    padding: 0;
}

#menuLogo li.icon-header:hover {
    background: none;
}

#menuLogo li g {
    transition: 0.5s;
}

#menuLogo li:hover g {
    fill: #000;
}

#menuLogo .nous-rejoindre:hover {
    color: #ffffff;
    background-color: #d64420;
}

#menuLogo .nous-rejoindre:hover a {
    color: #ffffff;
}

#menuLogo .nous-rejoindre a {
    color: #d64420;
}

.logo-header {
  width: 100%;
    margin: 10px;
    transition: 0.3s;
}

.logo-header:hover {
    opacity: 0.6;
}
